#ifndef mozilla_dom_BindingNames_h
#define mozilla_dom_BindingNames_h

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSGroupingRule = 949,
  CSSImportRule = 965,
  CSSKeyframeRule = 979,
  CSSKeyframesRule = 995,
  CSSLayerBlockRule = 1012,
  CSSLayerStatementRule = 1030,
  CSSMediaRule = 1052,
  CSSMozDocumentRule = 1065,
  CSSNamespaceRule = 1084,
  CSSPageRule = 1101,
  CSSPseudoElement = 1113,
  CSSRule = 1130,
  CSSRuleList = 1138,
  CSSScrollTimelineRule = 1150,
  CSSStyleDeclaration = 1172,
  CSSStyleRule = 1192,
  CSSStyleSheet = 1205,
  CSSSupportsRule = 1219,
  CSSTransition = 1235,
  Cache = 1249,
  CacheStorage = 1255,
  CallbackDebuggerNotification = 1268,
  CanonicalBrowsingContext = 1297,
  CanvasCaptureMediaStream = 1322,
  CanvasGradient = 1347,
  CanvasPattern = 1362,
  CanvasRenderingContext2D = 1376,
  CaretPosition = 1401,
  CaretStateChangedEvent = 1415,
  ChannelMergerNode = 1438,
  ChannelSplitterNode = 1456,
  ChannelWrapper = 1476,
  CharacterData = 1491,
  CheckerboardReportService = 1505,
  ChildProcessMessageManager = 1531,
  ChildSHistory = 1558,
  ChromeMessageBroadcaster = 1572,
  ChromeMessageSender = 1597,
  ChromeNodeList = 1617,
  ChromeUtils = 1632,
  ChromeWorker = 1644,
  Client = 1657,
  Clients = 1664,
  Clipboard = 1672,
  ClipboardEvent = 1682,
  ClipboardItem = 1697,
  ClonedErrorHolder = 1711,
  CloseEvent = 1729,
  CommandEvent = 1740,
  Comment = 1753,
  CompositionEvent = 1761,
  ConsoleInstance = 1778,
  ConstantSourceNode = 1794,
  ContentFrameMessageManager = 1813,
  ContentProcessMessageManager = 1840,
  ConvolverNode = 1869,
  CountQueuingStrategy = 1883,
  CreateOfferRequest = 1904,
  Credential = 1923,
  CredentialsContainer = 1934,
  Crypto = 1955,
  CryptoKey = 1962,
  CustomElementRegistry = 1972,
  CustomEvent = 1994,
  DOMException = 2006,
  DOMImplementation = 2019,
  DOMLocalization = 2037,
  DOMMatrix = 2053,
  DOMMatrixReadOnly = 2063,
  DOMParser = 2081,
  DOMPoint = 2091,
  DOMPointReadOnly = 2100,
  DOMQuad = 2117,
  DOMRect = 2125,
  DOMRectList = 2133,
  DOMRectReadOnly = 2145,
  DOMRequest = 2161,
  DOMStringList = 2172,
  DOMStringMap = 2186,
  DOMTokenList = 2199,
  DataTransfer = 2212,
  DataTransferItem = 2225,
  DataTransferItemList = 2242,
  DebuggerNotification = 2263,
  DebuggerNotificationObserver = 2284,
  DedicatedWorkerGlobalScope = 2313,
  DelayNode = 2340,
  DeprecationReportBody = 2350,
  DeviceAcceleration = 2372,
  DeviceLightEvent = 2391,
  DeviceMotionEvent = 2408,
  DeviceOrientationEvent = 2426,
  DeviceRotationRate = 2449,
  Directory = 2468,
  Document = 2478,
  DocumentFragment = 2487,
  DocumentL10n = 2504,
  DocumentTimeline = 2517,
  DocumentType = 2534,
  DominatorTree = 2547,
  DragEvent = 2561,
  DynamicsCompressorNode = 2571,
  EXT_blend_minmax = 2594,
  EXT_color_buffer_float = 2611,
  EXT_color_buffer_half_float = 2634,
  EXT_disjoint_timer_query = 2662,
  EXT_float_blend = 2687,
  EXT_frag_depth = 2703,
  EXT_sRGB = 2718,
  EXT_shader_texture_lod = 2727,
  EXT_texture_compression_bptc = 2750,
  EXT_texture_compression_rgtc = 2779,
  EXT_texture_filter_anisotropic = 2808,
  EXT_texture_norm16 = 2839,
  Element = 2858,
  ElementInternals = 2866,
  ErrorEvent = 2883,
  Event = 2894,
  EventCallbackDebuggerNotification = 2900,
  EventCounts = 2934,
  EventSource = 2946,
  EventTarget = 2958,
  Exception = 2970,
  ExtendableEvent = 2980,
  ExtendableMessageEvent = 2996,
  ExtensionAlarms = 3019,
  ExtensionBrowser = 3035,
  ExtensionEventManager = 3052,
  ExtensionMockAPI = 3074,
  ExtensionPort = 3091,
  ExtensionRuntime = 3105,
  ExtensionTest = 3122,
  External = 3136,
  FeaturePolicy = 3145,
  FeaturePolicyViolationReportBody = 3159,
  FetchEvent = 3192,
  FetchObserver = 3203,
  File = 3217,
  FileList = 3222,
  FileReader = 3231,
  FileReaderSync = 3242,
  FileSystem = 3257,
  FileSystemDirectoryEntry = 3268,
  FileSystemDirectoryHandle = 3293,
  FileSystemDirectoryIterator = 3319,
  FileSystemDirectoryReader = 3347,
  FileSystemEntry = 3373,
  FileSystemFileEntry = 3389,
  FileSystemFileHandle = 3409,
  FileSystemHandle = 3430,
  FileSystemSyncAccessHandle = 3447,
  FileSystemWritableFileStream = 3474,
  Flex = 3503,
  FlexItemValues = 3508,
  FlexLineValues = 3523,
  FluentBundle = 3538,
  FluentBundleAsyncIterator = 3551,
  FluentBundleIterator = 3577,
  FluentPattern = 3598,
  FluentResource = 3612,
  FocusEvent = 3627,
  FontFace = 3638,
  FontFaceSet = 3647,
  FontFaceSetIterator = 3659,
  FontFaceSetLoadEvent = 3679,
  FormData = 3700,
  FormData_Iterator = 3709,
  FormDataEvent = 3727,
  FrameCrashedEvent = 3741,
  FrameLoader = 3759,
  GPU = 3771,
  GPUAdapter = 3775,
  GPUBindGroup = 3786,
  GPUBindGroupLayout = 3799,
  GPUBuffer = 3818,
  GPUBufferUsage = 3828,
  GPUCanvasContext = 3843,
  GPUColorWrite = 3860,
  GPUCommandBuffer = 3874,
  GPUCommandEncoder = 3891,
  GPUCompilationInfo = 3909,
  GPUCompilationMessage = 3928,
  GPUComputePassEncoder = 3950,
  GPUComputePipeline = 3972,
  GPUDevice = 3991,
  GPUDeviceLostInfo = 4001,
  GPUMapMode = 4019,
  GPUOutOfMemoryError = 4030,
  GPUPipelineLayout = 4050,
  GPUQuerySet = 4068,
  GPUQueue = 4080,
  GPURenderBundle = 4089,
  GPURenderBundleEncoder = 4105,
  GPURenderPassEncoder = 4128,
  GPURenderPipeline = 4149,
  GPUSampler = 4167,
  GPUShaderModule = 4178,
  GPUShaderStage = 4194,
  GPUSupportedFeatures = 4209,
  GPUSupportedLimits = 4230,
  GPUTexture = 4249,
  GPUTextureUsage = 4260,
  GPUTextureView = 4276,
  GPUUncapturedErrorEvent = 4291,
  GPUValidationError = 4315,
  GainNode = 4334,
  Gamepad = 4343,
  GamepadAxisMoveEvent = 4351,
  GamepadButton = 4372,
  GamepadButtonEvent = 4386,
  GamepadEvent = 4405,
  GamepadHapticActuator = 4418,
  GamepadLightIndicator = 4440,
  GamepadPose = 4462,
  GamepadServiceTest = 4474,
  GamepadTouch = 4493,
  Geolocation = 4506,
  GeolocationCoordinates = 4518,
  GeolocationPosition = 4541,
  GeolocationPositionError = 4561,
  GetUserMediaRequest = 4586,
  GleanCategory = 4606,
  GleanImpl = 4620,
  GleanLabeled = 4630,
  GleanPingsImpl = 4643,
  Grid = 4658,
  GridArea = 4663,
  GridDimension = 4672,
  GridLine = 4686,
  GridLines = 4695,
  GridTrack = 4705,
  GridTracks = 4715,
  HTMLAllCollection = 4726,
  HTMLAnchorElement = 4744,
  HTMLAreaElement = 4762,
  HTMLAudioElement = 4778,
  HTMLBRElement = 4795,
  HTMLBaseElement = 4809,
  HTMLBodyElement = 4825,
  HTMLButtonElement = 4841,
  HTMLCanvasElement = 4859,
  HTMLCollection = 4877,
  HTMLDListElement = 4892,
  HTMLDataElement = 4909,
  HTMLDataListElement = 4925,
  HTMLDetailsElement = 4945,
  HTMLDialogElement = 4964,
  HTMLDirectoryElement = 4982,
  HTMLDivElement = 5003,
  HTMLDocument = 5018,
  HTMLElement = 5031,
  HTMLEmbedElement = 5043,
  HTMLFieldSetElement = 5060,
  HTMLFontElement = 5080,
  HTMLFormControlsCollection = 5096,
  HTMLFormElement = 5123,
  HTMLFrameElement = 5139,
  HTMLFrameSetElement = 5156,
  HTMLHRElement = 5176,
  HTMLHeadElement = 5190,
  HTMLHeadingElement = 5206,
  HTMLHtmlElement = 5225,
  HTMLIFrameElement = 5241,
  HTMLImageElement = 5259,
  HTMLInputElement = 5276,
  HTMLLIElement = 5293,
  HTMLLabelElement = 5307,
  HTMLLegendElement = 5324,
  HTMLLinkElement = 5342,
  HTMLMapElement = 5358,
  HTMLMarqueeElement = 5373,
  HTMLMediaElement = 5392,
  HTMLMenuElement = 5409,
  HTMLMenuItemElement = 5425,
  HTMLMetaElement = 5445,
  HTMLMeterElement = 5461,
  HTMLModElement = 5478,
  HTMLOListElement = 5493,
  HTMLObjectElement = 5510,
  HTMLOptGroupElement = 5528,
  HTMLOptionElement = 5548,
  HTMLOptionsCollection = 5566,
  HTMLOutputElement = 5588,
  HTMLParagraphElement = 5606,
  HTMLParamElement = 5627,
  HTMLPictureElement = 5644,
  HTMLPreElement = 5663,
  HTMLProgressElement = 5678,
  HTMLQuoteElement = 5698,
  HTMLScriptElement = 5715,
  HTMLSelectElement = 5733,
  HTMLSlotElement = 5751,
  HTMLSourceElement = 5767,
  HTMLSpanElement = 5785,
  HTMLStyleElement = 5801,
  HTMLTableCaptionElement = 5818,
  HTMLTableCellElement = 5842,
  HTMLTableColElement = 5863,
  HTMLTableElement = 5883,
  HTMLTableRowElement = 5900,
  HTMLTableSectionElement = 5920,
  HTMLTemplateElement = 5944,
  HTMLTextAreaElement = 5964,
  HTMLTimeElement = 5984,
  HTMLTitleElement = 6000,
  HTMLTrackElement = 6017,
  HTMLUListElement = 6034,
  HTMLUnknownElement = 6051,
  HTMLVideoElement = 6070,
  HashChangeEvent = 6087,
  Headers = 6103,
  Headers_Iterator = 6111,
  HeapSnapshot = 6128,
  History = 6141,
  IDBCursor = 6149,
  IDBCursorWithValue = 6159,
  IDBDatabase = 6178,
  IDBFactory = 6190,
  IDBFileHandle = 6201,
  IDBFileRequest = 6215,
  IDBIndex = 6230,
  IDBKeyRange = 6239,
  IDBLocaleAwareKeyRange = 6251,
  IDBMutableFile = 6274,
  IDBObjectStore = 6289,
  IDBOpenDBRequest = 6304,
  IDBRequest = 6321,
  IDBTransaction = 6332,
  IDBVersionChangeEvent = 6347,
  IIRFilterNode = 6369,
  IOUtils = 6383,
  IdleDeadline = 6391,
  Image = 6404,
  ImageBitmap = 6410,
  ImageBitmapRenderingContext = 6422,
  ImageCapture = 6450,
  ImageCaptureError = 6463,
  ImageCaptureErrorEvent = 6481,
  ImageData = 6504,
  ImageDocument = 6514,
  InputEvent = 6528,
  InspectorFontFace = 6539,
  InspectorUtils = 6557,
  InstallTriggerImpl = 6572,
  IntersectionObserver = 6591,
  IntersectionObserverEntry = 6612,
  IntlUtils = 6638,
  JSProcessActorChild = 6648,
  JSProcessActorParent = 6668,
  JSWindowActorChild = 6689,
  JSWindowActorParent = 6708,
  KeyEvent = 6728,
  KeyboardEvent = 6737,
  KeyframeEffect = 6751,
  L10nFileSource = 6766,
  L10nOverlays = 6781,
  L10nRegistry = 6794,
  LegacyMozTCPSocket = 6807,
  Localization = 6826,
  Location = 6839,
  Lock = 6848,
  LockManager = 6853,
  MIDIAccess = 6865,
  MIDIConnectionEvent = 6876,
  MIDIInput = 6896,
  MIDIInputMap = 6906,
  MIDIMessageEvent = 6919,
  MIDIOutput = 6936,
  MIDIOutputMap = 6947,
  MIDIPort = 6961,
  MOZ_debug = 6970,
  MatchGlob = 6980,
  MatchPattern = 6990,
  MatchPatternSet = 7003,
  MathMLElement = 7019,
  MediaCapabilities = 7033,
  MediaCapabilitiesInfo = 7051,
  MediaControlService = 7073,
  MediaController = 7093,
  MediaDeviceInfo = 7109,
  MediaDevices = 7125,
  MediaElementAudioSourceNode = 7138,
  MediaEncryptedEvent = 7166,
  MediaError = 7186,
  MediaKeyError = 7197,
  MediaKeyMessageEvent = 7211,
  MediaKeySession = 7232,
  MediaKeyStatusMap = 7248,
  MediaKeyStatusMap_Iterator = 7266,
  MediaKeySystemAccess = 7293,
  MediaKeys = 7314,
  MediaList = 7324,
  MediaMetadata = 7334,
  MediaQueryList = 7348,
  MediaQueryListEvent = 7363,
  MediaRecorder = 7383,
  MediaRecorderErrorEvent = 7397,
  MediaSession = 7421,
  MediaSource = 7434,
  MediaStream = 7446,
  MediaStreamAudioDestinationNode = 7458,
  MediaStreamAudioSourceNode = 7490,
  MediaStreamError = 7517,
  MediaStreamEvent = 7534,
  MediaStreamTrack = 7551,
  MediaStreamTrackAudioSourceNode = 7568,
  MediaStreamTrackEvent = 7600,
  MerchantValidationEvent = 7622,
  MessageBroadcaster = 7646,
  MessageChannel = 7665,
  MessageEvent = 7680,
  MessageListenerManager = 7693,
  MessagePort = 7716,
  MessageSender = 7728,
  MimeType = 7742,
  MimeTypeArray = 7751,
  MouseEvent = 7765,
  MouseScrollEvent = 7776,
  MozCanvasPrintState = 7793,
  MozDocumentMatcher = 7813,
  MozDocumentObserver = 7832,
  MozQueryInterface = 7852,
  MozSharedMap = 7870,
  MozSharedMap_Iterator = 7883,
  MozSharedMapChangeEvent = 7905,
  MozStorageAsyncStatementParams = 7929,
  MozStorageStatementParams = 7960,
  MozStorageStatementRow = 7986,
  MozWritableSharedMap = 8009,
  MutationEvent = 8030,
  MutationObserver = 8044,
  MutationRecord = 8061,
  NamedNodeMap = 8076,
  NavigationPreloadManager = 8089,
  Navigator = 8114,
  NetworkInformation = 8124,
  Node = 8143,
  NodeFilter = 8148,
  NodeIterator = 8159,
  NodeList = 8172,
  Notification = 8181,
  NotificationEvent = 8194,
  NotifyPaintEvent = 8212,
  OES_draw_buffers_indexed = 8229,
  OES_element_index_uint = 8254,
  OES_fbo_render_mipmap = 8277,
  OES_standard_derivatives = 8299,
  OES_texture_float = 8324,
  OES_texture_float_linear = 8342,
  OES_texture_half_float = 8367,
  OES_texture_half_float_linear = 8390,
  OES_vertex_array_object = 8420,
  OVR_multiview2 = 8444,
  OfflineAudioCompletionEvent = 8459,
  OfflineAudioContext = 8487,
  OfflineResourceList = 8507,
  OffscreenCanvas = 8527,
  OffscreenCanvasRenderingContext2D = 8543,
  Option = 8577,
  OscillatorNode = 8584,
  PageTransitionEvent = 8599,
  PaintRequest = 8619,
  PaintRequestList = 8632,
  PaintWorkletGlobalScope = 8649,
  PannerNode = 8673,
  ParentProcessMessageManager = 8684,
  Path2D = 8712,
  PathUtils = 8719,
  PaymentAddress = 8729,
  PaymentMethodChangeEvent = 8744,
  PaymentRequest = 8769,
  PaymentRequestUpdateEvent = 8784,
  PaymentResponse = 8810,
  PeerConnectionImpl = 8826,
  PeerConnectionObserver = 8845,
  Performance = 8868,
  PerformanceEntry = 8880,
  PerformanceEntryEvent = 8897,
  PerformanceEventTiming = 8919,
  PerformanceMark = 8942,
  PerformanceMeasure = 8958,
  PerformanceNavigation = 8977,
  PerformanceNavigationTiming = 8999,
  PerformanceObserver = 9027,
  PerformanceObserverEntryList = 9047,
  PerformancePaintTiming = 9076,
  PerformanceResourceTiming = 9099,
  PerformanceServerTiming = 9125,
  PerformanceTiming = 9149,
  PeriodicWave = 9167,
  PermissionStatus = 9180,
  Permissions = 9197,
  PlacesBookmark = 9209,
  PlacesBookmarkAddition = 9224,
  PlacesBookmarkChanged = 9247,
  PlacesBookmarkGuid = 9269,
  PlacesBookmarkMoved = 9288,
  PlacesBookmarkRemoved = 9308,
  PlacesBookmarkTags = 9330,
  PlacesBookmarkTime = 9349,
  PlacesBookmarkTitle = 9368,
  PlacesBookmarkUrl = 9388,
  PlacesEvent = 9406,
  PlacesFavicon = 9418,
  PlacesHistoryCleared = 9432,
  PlacesObservers = 9453,
  PlacesPurgeCaches = 9469,
  PlacesRanking = 9487,
  PlacesVisit = 9501,
  PlacesVisitRemoved = 9513,
  PlacesVisitTitle = 9532,
  PlacesWeakCallbackWrapper = 9549,
  Plugin = 9575,
  PluginArray = 9582,
  PluginCrashedEvent = 9594,
  PointerEvent = 9613,
  PopStateEvent = 9626,
  PopupBlockedEvent = 9640,
  PopupPositionedEvent = 9658,
  PositionStateEvent = 9679,
  PrecompiledScript = 9698,
  PrioEncoder = 9716,
  ProcessMessageManager = 9728,
  ProcessingInstruction = 9750,
  ProgressEvent = 9772,
  PromiseDebugging = 9786,
  PromiseNativeHandler = 9803,
  PromiseRejectionEvent = 9824,
  PublicKeyCredential = 9846,
  PushEvent = 9866,
  PushManager = 9876,
  PushManagerImpl = 9888,
  PushMessageData = 9904,
  PushSubscription = 9920,
  PushSubscriptionOptions = 9937,
  RTCCertificate = 9961,
  RTCDTMFSender = 9976,
  RTCDTMFToneChangeEvent = 9990,
  RTCDataChannel = 10013,
  RTCDataChannelEvent = 10028,
  RTCDtlsTransport = 10048,
  RTCIceCandidate = 10065,
  RTCIdentityProviderRegistrar = 10081,
  RTCPeerConnection = 10110,
  RTCPeerConnectionIceEvent = 10128,
  RTCPeerConnectionStatic = 10154,
  RTCRtpReceiver = 10178,
  RTCRtpSender = 10193,
  RTCRtpTransceiver = 10206,
  RTCSessionDescription = 10224,
  RTCStatsReport = 10246,
  RTCTrackEvent = 10261,
  RadioNodeList = 10275,
  Range = 10289,
  ReadableByteStreamController = 10295,
  ReadableStream = 10324,
  ReadableStreamBYOBReader = 10339,
  ReadableStreamBYOBRequest = 10364,
  ReadableStreamDefaultController = 10390,
  ReadableStreamDefaultReader = 10422,
  Report = 10450,
  ReportBody = 10457,
  ReportingObserver = 10468,
  Request = 10486,
  ResizeObserver = 10494,
  ResizeObserverEntry = 10509,
  ResizeObserverSize = 10529,
  Response = 10548,
  SVGAElement = 10557,
  SVGAngle = 10569,
  SVGAnimateElement = 10578,
  SVGAnimateMotionElement = 10596,
  SVGAnimateTransformElement = 10620,
  SVGAnimatedAngle = 10647,
  SVGAnimatedBoolean = 10664,
  SVGAnimatedEnumeration = 10683,
  SVGAnimatedInteger = 10706,
  SVGAnimatedLength = 10725,
  SVGAnimatedLengthList = 10743,
  SVGAnimatedNumber = 10765,
  SVGAnimatedNumberList = 10783,
  SVGAnimatedPreserveAspectRatio = 10805,
  SVGAnimatedRect = 10836,
  SVGAnimatedString = 10852,
  SVGAnimatedTransformList = 10870,
  SVGAnimationElement = 10895,
  SVGCircleElement = 10915,
  SVGClipPathElement = 10932,
  SVGComponentTransferFunctionElement = 10951,
  SVGDefsElement = 10987,
  SVGDescElement = 11002,
  SVGElement = 11017,
  SVGEllipseElement = 11028,
  SVGFEBlendElement = 11046,
  SVGFEColorMatrixElement = 11064,
  SVGFEComponentTransferElement = 11088,
  SVGFECompositeElement = 11118,
  SVGFEConvolveMatrixElement = 11140,
  SVGFEDiffuseLightingElement = 11167,
  SVGFEDisplacementMapElement = 11195,
  SVGFEDistantLightElement = 11223,
  SVGFEDropShadowElement = 11248,
  SVGFEFloodElement = 11271,
  SVGFEFuncAElement = 11289,
  SVGFEFuncBElement = 11307,
  SVGFEFuncGElement = 11325,
  SVGFEFuncRElement = 11343,
  SVGFEGaussianBlurElement = 11361,
  SVGFEImageElement = 11386,
  SVGFEMergeElement = 11404,
  SVGFEMergeNodeElement = 11422,
  SVGFEMorphologyElement = 11444,
  SVGFEOffsetElement = 11467,
  SVGFEPointLightElement = 11486,
  SVGFESpecularLightingElement = 11509,
  SVGFESpotLightElement = 11538,
  SVGFETileElement = 11560,
  SVGFETurbulenceElement = 11577,
  SVGFilterElement = 11600,
  SVGForeignObjectElement = 11617,
  SVGGElement = 11641,
  SVGGeometryElement = 11653,
  SVGGradientElement = 11672,
  SVGGraphicsElement = 11691,
  SVGImageElement = 11710,
  SVGLength = 11726,
  SVGLengthList = 11736,
  SVGLineElement = 11750,
  SVGLinearGradientElement = 11765,
  SVGMPathElement = 11790,
  SVGMarkerElement = 11806,
  SVGMaskElement = 11823,
  SVGMatrix = 11838,
  SVGMetadataElement = 11848,
  SVGNumber = 11867,
  SVGNumberList = 11877,
  SVGPathElement = 11891,
  SVGPathSeg = 11906,
  SVGPathSegArcAbs = 11917,
  SVGPathSegArcRel = 11934,
  SVGPathSegClosePath = 11951,
  SVGPathSegCurvetoCubicAbs = 11971,
  SVGPathSegCurvetoCubicRel = 11997,
  SVGPathSegCurvetoCubicSmoothAbs = 12023,
  SVGPathSegCurvetoCubicSmoothRel = 12055,
  SVGPathSegCurvetoQuadraticAbs = 12087,
  SVGPathSegCurvetoQuadraticRel = 12117,
  SVGPathSegCurvetoQuadraticSmoothAbs = 12147,
  SVGPathSegCurvetoQuadraticSmoothRel = 12183,
  SVGPathSegLinetoAbs = 12219,
  SVGPathSegLinetoHorizontalAbs = 12239,
  SVGPathSegLinetoHorizontalRel = 12269,
  SVGPathSegLinetoRel = 12299,
  SVGPathSegLinetoVerticalAbs = 12319,
  SVGPathSegLinetoVerticalRel = 12347,
  SVGPathSegList = 12375,
  SVGPathSegMovetoAbs = 12390,
  SVGPathSegMovetoRel = 12410,
  SVGPatternElement = 12430,
  SVGPoint = 12448,
  SVGPointList = 12457,
  SVGPolygonElement = 12470,
  SVGPolylineElement = 12488,
  SVGPreserveAspectRatio = 12507,
  SVGRadialGradientElement = 12530,
  SVGRect = 12555,
  SVGRectElement = 12563,
  SVGSVGElement = 12578,
  SVGScriptElement = 12592,
  SVGSetElement = 12609,
  SVGStopElement = 12623,
  SVGStringList = 12638,
  SVGStyleElement = 12652,
  SVGSwitchElement = 12668,
  SVGSymbolElement = 12685,
  SVGTSpanElement = 12702,
  SVGTextContentElement = 12718,
  SVGTextElement = 12740,
  SVGTextPathElement = 12755,
  SVGTextPositioningElement = 12774,
  SVGTitleElement = 12800,
  SVGTransform = 12816,
  SVGTransformList = 12829,
  SVGUnitTypes = 12846,
  SVGUseElement = 12859,
  SVGViewElement = 12873,
  Sanitizer = 12888,
  Scheduler = 12898,
  Screen = 12908,
  ScreenLuminance = 12915,
  ScreenOrientation = 12931,
  ScriptProcessorNode = 12949,
  ScrollAreaEvent = 12969,
  ScrollViewChangeEvent = 12985,
  SecurityPolicyViolationEvent = 13007,
  Selection = 13036,
  ServiceWorker = 13046,
  ServiceWorkerContainer = 13060,
  ServiceWorkerGlobalScope = 13083,
  ServiceWorkerRegistration = 13108,
  SessionStoreFormData = 13134,
  SessionStoreScrollData = 13155,
  SessionStoreUtils = 13178,
  ShadowRoot = 13196,
  SharedWorker = 13207,
  SharedWorkerGlobalScope = 13220,
  SimpleGestureEvent = 13244,
  SourceBuffer = 13263,
  SourceBufferList = 13276,
  SpeechGrammar = 13293,
  SpeechGrammarList = 13307,
  SpeechRecognition = 13325,
  SpeechRecognitionAlternative = 13343,
  SpeechRecognitionError = 13372,
  SpeechRecognitionEvent = 13395,
  SpeechRecognitionResult = 13418,
  SpeechRecognitionResultList = 13442,
  SpeechSynthesis = 13470,
  SpeechSynthesisErrorEvent = 13486,
  SpeechSynthesisEvent = 13512,
  SpeechSynthesisUtterance = 13533,
  SpeechSynthesisVoice = 13558,
  StaticRange = 13579,
  StereoPannerNode = 13591,
  Storage = 13608,
  StorageEvent = 13616,
  StorageManager = 13629,
  StreamFilter = 13644,
  StreamFilterDataEvent = 13657,
  StructuredCloneHolder = 13679,
  StructuredCloneTester = 13701,
  StyleSheet = 13723,
  StyleSheetApplicableStateChangeEvent = 13734,
  StyleSheetList = 13771,
  SubmitEvent = 13786,
  SubtleCrypto = 13798,
  SyncMessageSender = 13811,
  SyncReadFile = 13829,
  TCPServerSocket = 13842,
  TCPServerSocketEvent = 13858,
  TCPSocket = 13879,
  TCPSocketErrorEvent = 13889,
  TCPSocketEvent = 13909,
  TaskController = 13924,
  TaskPriorityChangeEvent = 13939,
  TaskSignal = 13963,
  TelemetryStopwatch = 13974,
  TestUtils = 13993,
  TestingDeprecatedInterface = 14003,
  Text = 14030,
  TextClause = 14035,
  TextDecoder = 14046,
  TextEncoder = 14058,
  TextMetrics = 14070,
  TextTrack = 14082,
  TextTrackCue = 14092,
  TextTrackCueList = 14105,
  TextTrackList = 14122,
  TimeEvent = 14136,
  TimeRanges = 14146,
  Touch = 14157,
  TouchEvent = 14163,
  TouchList = 14174,
  TrackEvent = 14184,
  TransformStream = 14195,
  TransformStreamDefaultController = 14211,
  TransitionEvent = 14244,
  TreeColumn = 14260,
  TreeColumns = 14271,
  TreeContentView = 14283,
  TreeWalker = 14299,
  U2F = 14310,
  UDPMessageEvent = 14314,
  UDPSocket = 14330,
  UIEvent = 14340,
  URL = 14348,
  URLSearchParams = 14352,
  URLSearchParams_Iterator = 14368,
  UserInteraction = 14393,
  UserProximityEvent = 14409,
  VRDisplay = 14428,
  VRDisplayCapabilities = 14438,
  VRDisplayEvent = 14460,
  VREyeParameters = 14475,
  VRFieldOfView = 14491,
  VRFrameData = 14505,
  VRMockController = 14517,
  VRMockDisplay = 14534,
  VRPose = 14548,
  VRServiceTest = 14555,
  VRStageParameters = 14569,
  VTTCue = 14587,
  VTTRegion = 14594,
  ValidityState = 14604,
  VideoPlaybackQuality = 14618,
  VideoTrack = 14639,
  VideoTrackList = 14650,
  VisualViewport = 14665,
  WEBGL_color_buffer_float = 14680,
  WEBGL_compressed_texture_astc = 14705,
  WEBGL_compressed_texture_etc = 14735,
  WEBGL_compressed_texture_etc1 = 14764,
  WEBGL_compressed_texture_pvrtc = 14794,
  WEBGL_compressed_texture_s3tc = 14825,
  WEBGL_compressed_texture_s3tc_srgb = 14855,
  WEBGL_debug_renderer_info = 14890,
  WEBGL_debug_shaders = 14916,
  WEBGL_depth_texture = 14936,
  WEBGL_draw_buffers = 14956,
  WEBGL_explicit_present = 14975,
  WEBGL_lose_context = 14998,
  WaveShaperNode = 15017,
  WebExtensionContentScript = 15032,
  WebExtensionPolicy = 15058,
  WebGL2RenderingContext = 15077,
  WebGLActiveInfo = 15100,
  WebGLBuffer = 15116,
  WebGLContextEvent = 15128,
  WebGLFramebuffer = 15146,
  WebGLProgram = 15163,
  WebGLQuery = 15176,
  WebGLRenderbuffer = 15187,
  WebGLRenderingContext = 15205,
  WebGLSampler = 15227,
  WebGLShader = 15240,
  WebGLShaderPrecisionFormat = 15252,
  WebGLSync = 15279,
  WebGLTexture = 15289,
  WebGLTransformFeedback = 15302,
  WebGLUniformLocation = 15325,
  WebGLVertexArrayObject = 15346,
  WebKitCSSMatrix = 15369,
  WebSocket = 15385,
  WebrtcGlobalInformation = 15395,
  WheelEvent = 15419,
  Window = 15430,
  WindowClient = 15437,
  WindowContext = 15450,
  WindowGlobalChild = 15464,
  WindowGlobalParent = 15482,
  WindowRoot = 15501,
  Worker = 15512,
  WorkerDebuggerGlobalScope = 15519,
  WorkerGlobalScope = 15545,
  WorkerLocation = 15563,
  WorkerNavigator = 15578,
  WorkerTestUtils = 15594,
  Worklet = 15610,
  WorkletGlobalScope = 15618,
  WritableStream = 15637,
  WritableStreamDefaultController = 15652,
  WritableStreamDefaultWriter = 15684,
  XMLDocument = 15712,
  XMLHttpRequest = 15724,
  XMLHttpRequestEventTarget = 15739,
  XMLHttpRequestUpload = 15765,
  XMLSerializer = 15786,
  XPathEvaluator = 15800,
  XPathExpression = 15815,
  XPathResult = 15831,
  XRBoundedReferenceSpace = 15843,
  XRFrame = 15867,
  XRInputSource = 15875,
  XRInputSourceArray = 15889,
  XRInputSourceEvent = 15908,
  XRInputSourcesChangeEvent = 15927,
  XRPose = 15953,
  XRReferenceSpace = 15960,
  XRReferenceSpaceEvent = 15977,
  XRRenderState = 15999,
  XRRigidTransform = 16013,
  XRSession = 16030,
  XRSessionEvent = 16040,
  XRSpace = 16055,
  XRSystem = 16063,
  XRView = 16072,
  XRViewerPose = 16079,
  XRViewport = 16092,
  XRWebGLLayer = 16103,
  XSLTProcessor = 16116,
  XULCommandEvent = 16130,
  XULElement = 16146,
  XULFrameElement = 16157,
  XULMenuElement = 16173,
  XULPopupElement = 16188,
  XULTextElement = 16204,
  XULTreeElement = 16219,
  console = 16234,
  mozRTCIceCandidate = 16242,
  mozRTCPeerConnection = 16261,
  mozRTCSessionDescription = 16282,
  webkitSpeechGrammar = 16307,
  webkitSpeechGrammarList = 16327,
  webkitSpeechRecognition = 16351,
  webkitURL = 16375,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // mozilla_dom_BindingNames_h
