#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSGroupingRule" "\0"
  /*   965 */ "CSSImportRule" "\0"
  /*   979 */ "CSSKeyframeRule" "\0"
  /*   995 */ "CSSKeyframesRule" "\0"
  /*  1012 */ "CSSLayerBlockRule" "\0"
  /*  1030 */ "CSSLayerStatementRule" "\0"
  /*  1052 */ "CSSMediaRule" "\0"
  /*  1065 */ "CSSMozDocumentRule" "\0"
  /*  1084 */ "CSSNamespaceRule" "\0"
  /*  1101 */ "CSSPageRule" "\0"
  /*  1113 */ "CSSPseudoElement" "\0"
  /*  1130 */ "CSSRule" "\0"
  /*  1138 */ "CSSRuleList" "\0"
  /*  1150 */ "CSSScrollTimelineRule" "\0"
  /*  1172 */ "CSSStyleDeclaration" "\0"
  /*  1192 */ "CSSStyleRule" "\0"
  /*  1205 */ "CSSStyleSheet" "\0"
  /*  1219 */ "CSSSupportsRule" "\0"
  /*  1235 */ "CSSTransition" "\0"
  /*  1249 */ "Cache" "\0"
  /*  1255 */ "CacheStorage" "\0"
  /*  1268 */ "CallbackDebuggerNotification" "\0"
  /*  1297 */ "CanonicalBrowsingContext" "\0"
  /*  1322 */ "CanvasCaptureMediaStream" "\0"
  /*  1347 */ "CanvasGradient" "\0"
  /*  1362 */ "CanvasPattern" "\0"
  /*  1376 */ "CanvasRenderingContext2D" "\0"
  /*  1401 */ "CaretPosition" "\0"
  /*  1415 */ "CaretStateChangedEvent" "\0"
  /*  1438 */ "ChannelMergerNode" "\0"
  /*  1456 */ "ChannelSplitterNode" "\0"
  /*  1476 */ "ChannelWrapper" "\0"
  /*  1491 */ "CharacterData" "\0"
  /*  1505 */ "CheckerboardReportService" "\0"
  /*  1531 */ "ChildProcessMessageManager" "\0"
  /*  1558 */ "ChildSHistory" "\0"
  /*  1572 */ "ChromeMessageBroadcaster" "\0"
  /*  1597 */ "ChromeMessageSender" "\0"
  /*  1617 */ "ChromeNodeList" "\0"
  /*  1632 */ "ChromeUtils" "\0"
  /*  1644 */ "ChromeWorker" "\0"
  /*  1657 */ "Client" "\0"
  /*  1664 */ "Clients" "\0"
  /*  1672 */ "Clipboard" "\0"
  /*  1682 */ "ClipboardEvent" "\0"
  /*  1697 */ "ClipboardItem" "\0"
  /*  1711 */ "ClonedErrorHolder" "\0"
  /*  1729 */ "CloseEvent" "\0"
  /*  1740 */ "CommandEvent" "\0"
  /*  1753 */ "Comment" "\0"
  /*  1761 */ "CompositionEvent" "\0"
  /*  1778 */ "ConsoleInstance" "\0"
  /*  1794 */ "ConstantSourceNode" "\0"
  /*  1813 */ "ContentFrameMessageManager" "\0"
  /*  1840 */ "ContentProcessMessageManager" "\0"
  /*  1869 */ "ConvolverNode" "\0"
  /*  1883 */ "CountQueuingStrategy" "\0"
  /*  1904 */ "CreateOfferRequest" "\0"
  /*  1923 */ "Credential" "\0"
  /*  1934 */ "CredentialsContainer" "\0"
  /*  1955 */ "Crypto" "\0"
  /*  1962 */ "CryptoKey" "\0"
  /*  1972 */ "CustomElementRegistry" "\0"
  /*  1994 */ "CustomEvent" "\0"
  /*  2006 */ "DOMException" "\0"
  /*  2019 */ "DOMImplementation" "\0"
  /*  2037 */ "DOMLocalization" "\0"
  /*  2053 */ "DOMMatrix" "\0"
  /*  2063 */ "DOMMatrixReadOnly" "\0"
  /*  2081 */ "DOMParser" "\0"
  /*  2091 */ "DOMPoint" "\0"
  /*  2100 */ "DOMPointReadOnly" "\0"
  /*  2117 */ "DOMQuad" "\0"
  /*  2125 */ "DOMRect" "\0"
  /*  2133 */ "DOMRectList" "\0"
  /*  2145 */ "DOMRectReadOnly" "\0"
  /*  2161 */ "DOMRequest" "\0"
  /*  2172 */ "DOMStringList" "\0"
  /*  2186 */ "DOMStringMap" "\0"
  /*  2199 */ "DOMTokenList" "\0"
  /*  2212 */ "DataTransfer" "\0"
  /*  2225 */ "DataTransferItem" "\0"
  /*  2242 */ "DataTransferItemList" "\0"
  /*  2263 */ "DebuggerNotification" "\0"
  /*  2284 */ "DebuggerNotificationObserver" "\0"
  /*  2313 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2340 */ "DelayNode" "\0"
  /*  2350 */ "DeprecationReportBody" "\0"
  /*  2372 */ "DeviceAcceleration" "\0"
  /*  2391 */ "DeviceLightEvent" "\0"
  /*  2408 */ "DeviceMotionEvent" "\0"
  /*  2426 */ "DeviceOrientationEvent" "\0"
  /*  2449 */ "DeviceRotationRate" "\0"
  /*  2468 */ "Directory" "\0"
  /*  2478 */ "Document" "\0"
  /*  2487 */ "DocumentFragment" "\0"
  /*  2504 */ "DocumentL10n" "\0"
  /*  2517 */ "DocumentTimeline" "\0"
  /*  2534 */ "DocumentType" "\0"
  /*  2547 */ "DominatorTree" "\0"
  /*  2561 */ "DragEvent" "\0"
  /*  2571 */ "DynamicsCompressorNode" "\0"
  /*  2594 */ "EXT_blend_minmax" "\0"
  /*  2611 */ "EXT_color_buffer_float" "\0"
  /*  2634 */ "EXT_color_buffer_half_float" "\0"
  /*  2662 */ "EXT_disjoint_timer_query" "\0"
  /*  2687 */ "EXT_float_blend" "\0"
  /*  2703 */ "EXT_frag_depth" "\0"
  /*  2718 */ "EXT_sRGB" "\0"
  /*  2727 */ "EXT_shader_texture_lod" "\0"
  /*  2750 */ "EXT_texture_compression_bptc" "\0"
  /*  2779 */ "EXT_texture_compression_rgtc" "\0"
  /*  2808 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2839 */ "EXT_texture_norm16" "\0"
  /*  2858 */ "Element" "\0"
  /*  2866 */ "ElementInternals" "\0"
  /*  2883 */ "ErrorEvent" "\0"
  /*  2894 */ "Event" "\0"
  /*  2900 */ "EventCallbackDebuggerNotification" "\0"
  /*  2934 */ "EventCounts" "\0"
  /*  2946 */ "EventSource" "\0"
  /*  2958 */ "EventTarget" "\0"
  /*  2970 */ "Exception" "\0"
  /*  2980 */ "ExtendableEvent" "\0"
  /*  2996 */ "ExtendableMessageEvent" "\0"
  /*  3019 */ "ExtensionAlarms" "\0"
  /*  3035 */ "ExtensionBrowser" "\0"
  /*  3052 */ "ExtensionEventManager" "\0"
  /*  3074 */ "ExtensionMockAPI" "\0"
  /*  3091 */ "ExtensionPort" "\0"
  /*  3105 */ "ExtensionRuntime" "\0"
  /*  3122 */ "ExtensionTest" "\0"
  /*  3136 */ "External" "\0"
  /*  3145 */ "FeaturePolicy" "\0"
  /*  3159 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3192 */ "FetchEvent" "\0"
  /*  3203 */ "FetchObserver" "\0"
  /*  3217 */ "File" "\0"
  /*  3222 */ "FileList" "\0"
  /*  3231 */ "FileReader" "\0"
  /*  3242 */ "FileReaderSync" "\0"
  /*  3257 */ "FileSystem" "\0"
  /*  3268 */ "FileSystemDirectoryEntry" "\0"
  /*  3293 */ "FileSystemDirectoryHandle" "\0"
  /*  3319 */ "FileSystemDirectoryIterator" "\0"
  /*  3347 */ "FileSystemDirectoryReader" "\0"
  /*  3373 */ "FileSystemEntry" "\0"
  /*  3389 */ "FileSystemFileEntry" "\0"
  /*  3409 */ "FileSystemFileHandle" "\0"
  /*  3430 */ "FileSystemHandle" "\0"
  /*  3447 */ "FileSystemSyncAccessHandle" "\0"
  /*  3474 */ "FileSystemWritableFileStream" "\0"
  /*  3503 */ "Flex" "\0"
  /*  3508 */ "FlexItemValues" "\0"
  /*  3523 */ "FlexLineValues" "\0"
  /*  3538 */ "FluentBundle" "\0"
  /*  3551 */ "FluentBundleAsyncIterator" "\0"
  /*  3577 */ "FluentBundleIterator" "\0"
  /*  3598 */ "FluentPattern" "\0"
  /*  3612 */ "FluentResource" "\0"
  /*  3627 */ "FocusEvent" "\0"
  /*  3638 */ "FontFace" "\0"
  /*  3647 */ "FontFaceSet" "\0"
  /*  3659 */ "FontFaceSetIterator" "\0"
  /*  3679 */ "FontFaceSetLoadEvent" "\0"
  /*  3700 */ "FormData" "\0"
  /*  3709 */ "FormData Iterator" "\0"
  /*  3727 */ "FormDataEvent" "\0"
  /*  3741 */ "FrameCrashedEvent" "\0"
  /*  3759 */ "FrameLoader" "\0"
  /*  3771 */ "GPU" "\0"
  /*  3775 */ "GPUAdapter" "\0"
  /*  3786 */ "GPUBindGroup" "\0"
  /*  3799 */ "GPUBindGroupLayout" "\0"
  /*  3818 */ "GPUBuffer" "\0"
  /*  3828 */ "GPUBufferUsage" "\0"
  /*  3843 */ "GPUCanvasContext" "\0"
  /*  3860 */ "GPUColorWrite" "\0"
  /*  3874 */ "GPUCommandBuffer" "\0"
  /*  3891 */ "GPUCommandEncoder" "\0"
  /*  3909 */ "GPUCompilationInfo" "\0"
  /*  3928 */ "GPUCompilationMessage" "\0"
  /*  3950 */ "GPUComputePassEncoder" "\0"
  /*  3972 */ "GPUComputePipeline" "\0"
  /*  3991 */ "GPUDevice" "\0"
  /*  4001 */ "GPUDeviceLostInfo" "\0"
  /*  4019 */ "GPUMapMode" "\0"
  /*  4030 */ "GPUOutOfMemoryError" "\0"
  /*  4050 */ "GPUPipelineLayout" "\0"
  /*  4068 */ "GPUQuerySet" "\0"
  /*  4080 */ "GPUQueue" "\0"
  /*  4089 */ "GPURenderBundle" "\0"
  /*  4105 */ "GPURenderBundleEncoder" "\0"
  /*  4128 */ "GPURenderPassEncoder" "\0"
  /*  4149 */ "GPURenderPipeline" "\0"
  /*  4167 */ "GPUSampler" "\0"
  /*  4178 */ "GPUShaderModule" "\0"
  /*  4194 */ "GPUShaderStage" "\0"
  /*  4209 */ "GPUSupportedFeatures" "\0"
  /*  4230 */ "GPUSupportedLimits" "\0"
  /*  4249 */ "GPUTexture" "\0"
  /*  4260 */ "GPUTextureUsage" "\0"
  /*  4276 */ "GPUTextureView" "\0"
  /*  4291 */ "GPUUncapturedErrorEvent" "\0"
  /*  4315 */ "GPUValidationError" "\0"
  /*  4334 */ "GainNode" "\0"
  /*  4343 */ "Gamepad" "\0"
  /*  4351 */ "GamepadAxisMoveEvent" "\0"
  /*  4372 */ "GamepadButton" "\0"
  /*  4386 */ "GamepadButtonEvent" "\0"
  /*  4405 */ "GamepadEvent" "\0"
  /*  4418 */ "GamepadHapticActuator" "\0"
  /*  4440 */ "GamepadLightIndicator" "\0"
  /*  4462 */ "GamepadPose" "\0"
  /*  4474 */ "GamepadServiceTest" "\0"
  /*  4493 */ "GamepadTouch" "\0"
  /*  4506 */ "Geolocation" "\0"
  /*  4518 */ "GeolocationCoordinates" "\0"
  /*  4541 */ "GeolocationPosition" "\0"
  /*  4561 */ "GeolocationPositionError" "\0"
  /*  4586 */ "GetUserMediaRequest" "\0"
  /*  4606 */ "GleanCategory" "\0"
  /*  4620 */ "GleanImpl" "\0"
  /*  4630 */ "GleanLabeled" "\0"
  /*  4643 */ "GleanPingsImpl" "\0"
  /*  4658 */ "Grid" "\0"
  /*  4663 */ "GridArea" "\0"
  /*  4672 */ "GridDimension" "\0"
  /*  4686 */ "GridLine" "\0"
  /*  4695 */ "GridLines" "\0"
  /*  4705 */ "GridTrack" "\0"
  /*  4715 */ "GridTracks" "\0"
  /*  4726 */ "HTMLAllCollection" "\0"
  /*  4744 */ "HTMLAnchorElement" "\0"
  /*  4762 */ "HTMLAreaElement" "\0"
  /*  4778 */ "HTMLAudioElement" "\0"
  /*  4795 */ "HTMLBRElement" "\0"
  /*  4809 */ "HTMLBaseElement" "\0"
  /*  4825 */ "HTMLBodyElement" "\0"
  /*  4841 */ "HTMLButtonElement" "\0"
  /*  4859 */ "HTMLCanvasElement" "\0"
  /*  4877 */ "HTMLCollection" "\0"
  /*  4892 */ "HTMLDListElement" "\0"
  /*  4909 */ "HTMLDataElement" "\0"
  /*  4925 */ "HTMLDataListElement" "\0"
  /*  4945 */ "HTMLDetailsElement" "\0"
  /*  4964 */ "HTMLDialogElement" "\0"
  /*  4982 */ "HTMLDirectoryElement" "\0"
  /*  5003 */ "HTMLDivElement" "\0"
  /*  5018 */ "HTMLDocument" "\0"
  /*  5031 */ "HTMLElement" "\0"
  /*  5043 */ "HTMLEmbedElement" "\0"
  /*  5060 */ "HTMLFieldSetElement" "\0"
  /*  5080 */ "HTMLFontElement" "\0"
  /*  5096 */ "HTMLFormControlsCollection" "\0"
  /*  5123 */ "HTMLFormElement" "\0"
  /*  5139 */ "HTMLFrameElement" "\0"
  /*  5156 */ "HTMLFrameSetElement" "\0"
  /*  5176 */ "HTMLHRElement" "\0"
  /*  5190 */ "HTMLHeadElement" "\0"
  /*  5206 */ "HTMLHeadingElement" "\0"
  /*  5225 */ "HTMLHtmlElement" "\0"
  /*  5241 */ "HTMLIFrameElement" "\0"
  /*  5259 */ "HTMLImageElement" "\0"
  /*  5276 */ "HTMLInputElement" "\0"
  /*  5293 */ "HTMLLIElement" "\0"
  /*  5307 */ "HTMLLabelElement" "\0"
  /*  5324 */ "HTMLLegendElement" "\0"
  /*  5342 */ "HTMLLinkElement" "\0"
  /*  5358 */ "HTMLMapElement" "\0"
  /*  5373 */ "HTMLMarqueeElement" "\0"
  /*  5392 */ "HTMLMediaElement" "\0"
  /*  5409 */ "HTMLMenuElement" "\0"
  /*  5425 */ "HTMLMenuItemElement" "\0"
  /*  5445 */ "HTMLMetaElement" "\0"
  /*  5461 */ "HTMLMeterElement" "\0"
  /*  5478 */ "HTMLModElement" "\0"
  /*  5493 */ "HTMLOListElement" "\0"
  /*  5510 */ "HTMLObjectElement" "\0"
  /*  5528 */ "HTMLOptGroupElement" "\0"
  /*  5548 */ "HTMLOptionElement" "\0"
  /*  5566 */ "HTMLOptionsCollection" "\0"
  /*  5588 */ "HTMLOutputElement" "\0"
  /*  5606 */ "HTMLParagraphElement" "\0"
  /*  5627 */ "HTMLParamElement" "\0"
  /*  5644 */ "HTMLPictureElement" "\0"
  /*  5663 */ "HTMLPreElement" "\0"
  /*  5678 */ "HTMLProgressElement" "\0"
  /*  5698 */ "HTMLQuoteElement" "\0"
  /*  5715 */ "HTMLScriptElement" "\0"
  /*  5733 */ "HTMLSelectElement" "\0"
  /*  5751 */ "HTMLSlotElement" "\0"
  /*  5767 */ "HTMLSourceElement" "\0"
  /*  5785 */ "HTMLSpanElement" "\0"
  /*  5801 */ "HTMLStyleElement" "\0"
  /*  5818 */ "HTMLTableCaptionElement" "\0"
  /*  5842 */ "HTMLTableCellElement" "\0"
  /*  5863 */ "HTMLTableColElement" "\0"
  /*  5883 */ "HTMLTableElement" "\0"
  /*  5900 */ "HTMLTableRowElement" "\0"
  /*  5920 */ "HTMLTableSectionElement" "\0"
  /*  5944 */ "HTMLTemplateElement" "\0"
  /*  5964 */ "HTMLTextAreaElement" "\0"
  /*  5984 */ "HTMLTimeElement" "\0"
  /*  6000 */ "HTMLTitleElement" "\0"
  /*  6017 */ "HTMLTrackElement" "\0"
  /*  6034 */ "HTMLUListElement" "\0"
  /*  6051 */ "HTMLUnknownElement" "\0"
  /*  6070 */ "HTMLVideoElement" "\0"
  /*  6087 */ "HashChangeEvent" "\0"
  /*  6103 */ "Headers" "\0"
  /*  6111 */ "Headers Iterator" "\0"
  /*  6128 */ "HeapSnapshot" "\0"
  /*  6141 */ "History" "\0"
  /*  6149 */ "IDBCursor" "\0"
  /*  6159 */ "IDBCursorWithValue" "\0"
  /*  6178 */ "IDBDatabase" "\0"
  /*  6190 */ "IDBFactory" "\0"
  /*  6201 */ "IDBFileHandle" "\0"
  /*  6215 */ "IDBFileRequest" "\0"
  /*  6230 */ "IDBIndex" "\0"
  /*  6239 */ "IDBKeyRange" "\0"
  /*  6251 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6274 */ "IDBMutableFile" "\0"
  /*  6289 */ "IDBObjectStore" "\0"
  /*  6304 */ "IDBOpenDBRequest" "\0"
  /*  6321 */ "IDBRequest" "\0"
  /*  6332 */ "IDBTransaction" "\0"
  /*  6347 */ "IDBVersionChangeEvent" "\0"
  /*  6369 */ "IIRFilterNode" "\0"
  /*  6383 */ "IOUtils" "\0"
  /*  6391 */ "IdleDeadline" "\0"
  /*  6404 */ "Image" "\0"
  /*  6410 */ "ImageBitmap" "\0"
  /*  6422 */ "ImageBitmapRenderingContext" "\0"
  /*  6450 */ "ImageCapture" "\0"
  /*  6463 */ "ImageCaptureError" "\0"
  /*  6481 */ "ImageCaptureErrorEvent" "\0"
  /*  6504 */ "ImageData" "\0"
  /*  6514 */ "ImageDocument" "\0"
  /*  6528 */ "InputEvent" "\0"
  /*  6539 */ "InspectorFontFace" "\0"
  /*  6557 */ "InspectorUtils" "\0"
  /*  6572 */ "InstallTriggerImpl" "\0"
  /*  6591 */ "IntersectionObserver" "\0"
  /*  6612 */ "IntersectionObserverEntry" "\0"
  /*  6638 */ "IntlUtils" "\0"
  /*  6648 */ "JSProcessActorChild" "\0"
  /*  6668 */ "JSProcessActorParent" "\0"
  /*  6689 */ "JSWindowActorChild" "\0"
  /*  6708 */ "JSWindowActorParent" "\0"
  /*  6728 */ "KeyEvent" "\0"
  /*  6737 */ "KeyboardEvent" "\0"
  /*  6751 */ "KeyframeEffect" "\0"
  /*  6766 */ "L10nFileSource" "\0"
  /*  6781 */ "L10nOverlays" "\0"
  /*  6794 */ "L10nRegistry" "\0"
  /*  6807 */ "LegacyMozTCPSocket" "\0"
  /*  6826 */ "Localization" "\0"
  /*  6839 */ "Location" "\0"
  /*  6848 */ "Lock" "\0"
  /*  6853 */ "LockManager" "\0"
  /*  6865 */ "MIDIAccess" "\0"
  /*  6876 */ "MIDIConnectionEvent" "\0"
  /*  6896 */ "MIDIInput" "\0"
  /*  6906 */ "MIDIInputMap" "\0"
  /*  6919 */ "MIDIMessageEvent" "\0"
  /*  6936 */ "MIDIOutput" "\0"
  /*  6947 */ "MIDIOutputMap" "\0"
  /*  6961 */ "MIDIPort" "\0"
  /*  6970 */ "MOZ_debug" "\0"
  /*  6980 */ "MatchGlob" "\0"
  /*  6990 */ "MatchPattern" "\0"
  /*  7003 */ "MatchPatternSet" "\0"
  /*  7019 */ "MathMLElement" "\0"
  /*  7033 */ "MediaCapabilities" "\0"
  /*  7051 */ "MediaCapabilitiesInfo" "\0"
  /*  7073 */ "MediaControlService" "\0"
  /*  7093 */ "MediaController" "\0"
  /*  7109 */ "MediaDeviceInfo" "\0"
  /*  7125 */ "MediaDevices" "\0"
  /*  7138 */ "MediaElementAudioSourceNode" "\0"
  /*  7166 */ "MediaEncryptedEvent" "\0"
  /*  7186 */ "MediaError" "\0"
  /*  7197 */ "MediaKeyError" "\0"
  /*  7211 */ "MediaKeyMessageEvent" "\0"
  /*  7232 */ "MediaKeySession" "\0"
  /*  7248 */ "MediaKeyStatusMap" "\0"
  /*  7266 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7293 */ "MediaKeySystemAccess" "\0"
  /*  7314 */ "MediaKeys" "\0"
  /*  7324 */ "MediaList" "\0"
  /*  7334 */ "MediaMetadata" "\0"
  /*  7348 */ "MediaQueryList" "\0"
  /*  7363 */ "MediaQueryListEvent" "\0"
  /*  7383 */ "MediaRecorder" "\0"
  /*  7397 */ "MediaRecorderErrorEvent" "\0"
  /*  7421 */ "MediaSession" "\0"
  /*  7434 */ "MediaSource" "\0"
  /*  7446 */ "MediaStream" "\0"
  /*  7458 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7490 */ "MediaStreamAudioSourceNode" "\0"
  /*  7517 */ "MediaStreamError" "\0"
  /*  7534 */ "MediaStreamEvent" "\0"
  /*  7551 */ "MediaStreamTrack" "\0"
  /*  7568 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7600 */ "MediaStreamTrackEvent" "\0"
  /*  7622 */ "MerchantValidationEvent" "\0"
  /*  7646 */ "MessageBroadcaster" "\0"
  /*  7665 */ "MessageChannel" "\0"
  /*  7680 */ "MessageEvent" "\0"
  /*  7693 */ "MessageListenerManager" "\0"
  /*  7716 */ "MessagePort" "\0"
  /*  7728 */ "MessageSender" "\0"
  /*  7742 */ "MimeType" "\0"
  /*  7751 */ "MimeTypeArray" "\0"
  /*  7765 */ "MouseEvent" "\0"
  /*  7776 */ "MouseScrollEvent" "\0"
  /*  7793 */ "MozCanvasPrintState" "\0"
  /*  7813 */ "MozDocumentMatcher" "\0"
  /*  7832 */ "MozDocumentObserver" "\0"
  /*  7852 */ "MozQueryInterface" "\0"
  /*  7870 */ "MozSharedMap" "\0"
  /*  7883 */ "MozSharedMap Iterator" "\0"
  /*  7905 */ "MozSharedMapChangeEvent" "\0"
  /*  7929 */ "MozStorageAsyncStatementParams" "\0"
  /*  7960 */ "MozStorageStatementParams" "\0"
  /*  7986 */ "MozStorageStatementRow" "\0"
  /*  8009 */ "MozWritableSharedMap" "\0"
  /*  8030 */ "MutationEvent" "\0"
  /*  8044 */ "MutationObserver" "\0"
  /*  8061 */ "MutationRecord" "\0"
  /*  8076 */ "NamedNodeMap" "\0"
  /*  8089 */ "NavigationPreloadManager" "\0"
  /*  8114 */ "Navigator" "\0"
  /*  8124 */ "NetworkInformation" "\0"
  /*  8143 */ "Node" "\0"
  /*  8148 */ "NodeFilter" "\0"
  /*  8159 */ "NodeIterator" "\0"
  /*  8172 */ "NodeList" "\0"
  /*  8181 */ "Notification" "\0"
  /*  8194 */ "NotificationEvent" "\0"
  /*  8212 */ "NotifyPaintEvent" "\0"
  /*  8229 */ "OES_draw_buffers_indexed" "\0"
  /*  8254 */ "OES_element_index_uint" "\0"
  /*  8277 */ "OES_fbo_render_mipmap" "\0"
  /*  8299 */ "OES_standard_derivatives" "\0"
  /*  8324 */ "OES_texture_float" "\0"
  /*  8342 */ "OES_texture_float_linear" "\0"
  /*  8367 */ "OES_texture_half_float" "\0"
  /*  8390 */ "OES_texture_half_float_linear" "\0"
  /*  8420 */ "OES_vertex_array_object" "\0"
  /*  8444 */ "OVR_multiview2" "\0"
  /*  8459 */ "OfflineAudioCompletionEvent" "\0"
  /*  8487 */ "OfflineAudioContext" "\0"
  /*  8507 */ "OfflineResourceList" "\0"
  /*  8527 */ "OffscreenCanvas" "\0"
  /*  8543 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8577 */ "Option" "\0"
  /*  8584 */ "OscillatorNode" "\0"
  /*  8599 */ "PageTransitionEvent" "\0"
  /*  8619 */ "PaintRequest" "\0"
  /*  8632 */ "PaintRequestList" "\0"
  /*  8649 */ "PaintWorkletGlobalScope" "\0"
  /*  8673 */ "PannerNode" "\0"
  /*  8684 */ "ParentProcessMessageManager" "\0"
  /*  8712 */ "Path2D" "\0"
  /*  8719 */ "PathUtils" "\0"
  /*  8729 */ "PaymentAddress" "\0"
  /*  8744 */ "PaymentMethodChangeEvent" "\0"
  /*  8769 */ "PaymentRequest" "\0"
  /*  8784 */ "PaymentRequestUpdateEvent" "\0"
  /*  8810 */ "PaymentResponse" "\0"
  /*  8826 */ "PeerConnectionImpl" "\0"
  /*  8845 */ "PeerConnectionObserver" "\0"
  /*  8868 */ "Performance" "\0"
  /*  8880 */ "PerformanceEntry" "\0"
  /*  8897 */ "PerformanceEntryEvent" "\0"
  /*  8919 */ "PerformanceEventTiming" "\0"
  /*  8942 */ "PerformanceMark" "\0"
  /*  8958 */ "PerformanceMeasure" "\0"
  /*  8977 */ "PerformanceNavigation" "\0"
  /*  8999 */ "PerformanceNavigationTiming" "\0"
  /*  9027 */ "PerformanceObserver" "\0"
  /*  9047 */ "PerformanceObserverEntryList" "\0"
  /*  9076 */ "PerformancePaintTiming" "\0"
  /*  9099 */ "PerformanceResourceTiming" "\0"
  /*  9125 */ "PerformanceServerTiming" "\0"
  /*  9149 */ "PerformanceTiming" "\0"
  /*  9167 */ "PeriodicWave" "\0"
  /*  9180 */ "PermissionStatus" "\0"
  /*  9197 */ "Permissions" "\0"
  /*  9209 */ "PlacesBookmark" "\0"
  /*  9224 */ "PlacesBookmarkAddition" "\0"
  /*  9247 */ "PlacesBookmarkChanged" "\0"
  /*  9269 */ "PlacesBookmarkGuid" "\0"
  /*  9288 */ "PlacesBookmarkMoved" "\0"
  /*  9308 */ "PlacesBookmarkRemoved" "\0"
  /*  9330 */ "PlacesBookmarkTags" "\0"
  /*  9349 */ "PlacesBookmarkTime" "\0"
  /*  9368 */ "PlacesBookmarkTitle" "\0"
  /*  9388 */ "PlacesBookmarkUrl" "\0"
  /*  9406 */ "PlacesEvent" "\0"
  /*  9418 */ "PlacesFavicon" "\0"
  /*  9432 */ "PlacesHistoryCleared" "\0"
  /*  9453 */ "PlacesObservers" "\0"
  /*  9469 */ "PlacesPurgeCaches" "\0"
  /*  9487 */ "PlacesRanking" "\0"
  /*  9501 */ "PlacesVisit" "\0"
  /*  9513 */ "PlacesVisitRemoved" "\0"
  /*  9532 */ "PlacesVisitTitle" "\0"
  /*  9549 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9575 */ "Plugin" "\0"
  /*  9582 */ "PluginArray" "\0"
  /*  9594 */ "PluginCrashedEvent" "\0"
  /*  9613 */ "PointerEvent" "\0"
  /*  9626 */ "PopStateEvent" "\0"
  /*  9640 */ "PopupBlockedEvent" "\0"
  /*  9658 */ "PopupPositionedEvent" "\0"
  /*  9679 */ "PositionStateEvent" "\0"
  /*  9698 */ "PrecompiledScript" "\0"
  /*  9716 */ "PrioEncoder" "\0"
  /*  9728 */ "ProcessMessageManager" "\0"
  /*  9750 */ "ProcessingInstruction" "\0"
  /*  9772 */ "ProgressEvent" "\0"
  /*  9786 */ "PromiseDebugging" "\0"
  /*  9803 */ "PromiseNativeHandler" "\0"
  /*  9824 */ "PromiseRejectionEvent" "\0"
  /*  9846 */ "PublicKeyCredential" "\0"
  /*  9866 */ "PushEvent" "\0"
  /*  9876 */ "PushManager" "\0"
  /*  9888 */ "PushManagerImpl" "\0"
  /*  9904 */ "PushMessageData" "\0"
  /*  9920 */ "PushSubscription" "\0"
  /*  9937 */ "PushSubscriptionOptions" "\0"
  /*  9961 */ "RTCCertificate" "\0"
  /*  9976 */ "RTCDTMFSender" "\0"
  /*  9990 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10013 */ "RTCDataChannel" "\0"
  /* 10028 */ "RTCDataChannelEvent" "\0"
  /* 10048 */ "RTCDtlsTransport" "\0"
  /* 10065 */ "RTCIceCandidate" "\0"
  /* 10081 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10110 */ "RTCPeerConnection" "\0"
  /* 10128 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10154 */ "RTCPeerConnectionStatic" "\0"
  /* 10178 */ "RTCRtpReceiver" "\0"
  /* 10193 */ "RTCRtpSender" "\0"
  /* 10206 */ "RTCRtpTransceiver" "\0"
  /* 10224 */ "RTCSessionDescription" "\0"
  /* 10246 */ "RTCStatsReport" "\0"
  /* 10261 */ "RTCTrackEvent" "\0"
  /* 10275 */ "RadioNodeList" "\0"
  /* 10289 */ "Range" "\0"
  /* 10295 */ "ReadableByteStreamController" "\0"
  /* 10324 */ "ReadableStream" "\0"
  /* 10339 */ "ReadableStreamBYOBReader" "\0"
  /* 10364 */ "ReadableStreamBYOBRequest" "\0"
  /* 10390 */ "ReadableStreamDefaultController" "\0"
  /* 10422 */ "ReadableStreamDefaultReader" "\0"
  /* 10450 */ "Report" "\0"
  /* 10457 */ "ReportBody" "\0"
  /* 10468 */ "ReportingObserver" "\0"
  /* 10486 */ "Request" "\0"
  /* 10494 */ "ResizeObserver" "\0"
  /* 10509 */ "ResizeObserverEntry" "\0"
  /* 10529 */ "ResizeObserverSize" "\0"
  /* 10548 */ "Response" "\0"
  /* 10557 */ "SVGAElement" "\0"
  /* 10569 */ "SVGAngle" "\0"
  /* 10578 */ "SVGAnimateElement" "\0"
  /* 10596 */ "SVGAnimateMotionElement" "\0"
  /* 10620 */ "SVGAnimateTransformElement" "\0"
  /* 10647 */ "SVGAnimatedAngle" "\0"
  /* 10664 */ "SVGAnimatedBoolean" "\0"
  /* 10683 */ "SVGAnimatedEnumeration" "\0"
  /* 10706 */ "SVGAnimatedInteger" "\0"
  /* 10725 */ "SVGAnimatedLength" "\0"
  /* 10743 */ "SVGAnimatedLengthList" "\0"
  /* 10765 */ "SVGAnimatedNumber" "\0"
  /* 10783 */ "SVGAnimatedNumberList" "\0"
  /* 10805 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 10836 */ "SVGAnimatedRect" "\0"
  /* 10852 */ "SVGAnimatedString" "\0"
  /* 10870 */ "SVGAnimatedTransformList" "\0"
  /* 10895 */ "SVGAnimationElement" "\0"
  /* 10915 */ "SVGCircleElement" "\0"
  /* 10932 */ "SVGClipPathElement" "\0"
  /* 10951 */ "SVGComponentTransferFunctionElement" "\0"
  /* 10987 */ "SVGDefsElement" "\0"
  /* 11002 */ "SVGDescElement" "\0"
  /* 11017 */ "SVGElement" "\0"
  /* 11028 */ "SVGEllipseElement" "\0"
  /* 11046 */ "SVGFEBlendElement" "\0"
  /* 11064 */ "SVGFEColorMatrixElement" "\0"
  /* 11088 */ "SVGFEComponentTransferElement" "\0"
  /* 11118 */ "SVGFECompositeElement" "\0"
  /* 11140 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11167 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11195 */ "SVGFEDisplacementMapElement" "\0"
  /* 11223 */ "SVGFEDistantLightElement" "\0"
  /* 11248 */ "SVGFEDropShadowElement" "\0"
  /* 11271 */ "SVGFEFloodElement" "\0"
  /* 11289 */ "SVGFEFuncAElement" "\0"
  /* 11307 */ "SVGFEFuncBElement" "\0"
  /* 11325 */ "SVGFEFuncGElement" "\0"
  /* 11343 */ "SVGFEFuncRElement" "\0"
  /* 11361 */ "SVGFEGaussianBlurElement" "\0"
  /* 11386 */ "SVGFEImageElement" "\0"
  /* 11404 */ "SVGFEMergeElement" "\0"
  /* 11422 */ "SVGFEMergeNodeElement" "\0"
  /* 11444 */ "SVGFEMorphologyElement" "\0"
  /* 11467 */ "SVGFEOffsetElement" "\0"
  /* 11486 */ "SVGFEPointLightElement" "\0"
  /* 11509 */ "SVGFESpecularLightingElement" "\0"
  /* 11538 */ "SVGFESpotLightElement" "\0"
  /* 11560 */ "SVGFETileElement" "\0"
  /* 11577 */ "SVGFETurbulenceElement" "\0"
  /* 11600 */ "SVGFilterElement" "\0"
  /* 11617 */ "SVGForeignObjectElement" "\0"
  /* 11641 */ "SVGGElement" "\0"
  /* 11653 */ "SVGGeometryElement" "\0"
  /* 11672 */ "SVGGradientElement" "\0"
  /* 11691 */ "SVGGraphicsElement" "\0"
  /* 11710 */ "SVGImageElement" "\0"
  /* 11726 */ "SVGLength" "\0"
  /* 11736 */ "SVGLengthList" "\0"
  /* 11750 */ "SVGLineElement" "\0"
  /* 11765 */ "SVGLinearGradientElement" "\0"
  /* 11790 */ "SVGMPathElement" "\0"
  /* 11806 */ "SVGMarkerElement" "\0"
  /* 11823 */ "SVGMaskElement" "\0"
  /* 11838 */ "SVGMatrix" "\0"
  /* 11848 */ "SVGMetadataElement" "\0"
  /* 11867 */ "SVGNumber" "\0"
  /* 11877 */ "SVGNumberList" "\0"
  /* 11891 */ "SVGPathElement" "\0"
  /* 11906 */ "SVGPathSeg" "\0"
  /* 11917 */ "SVGPathSegArcAbs" "\0"
  /* 11934 */ "SVGPathSegArcRel" "\0"
  /* 11951 */ "SVGPathSegClosePath" "\0"
  /* 11971 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 11997 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12023 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12055 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12087 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12117 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12147 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12183 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12219 */ "SVGPathSegLinetoAbs" "\0"
  /* 12239 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12269 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12299 */ "SVGPathSegLinetoRel" "\0"
  /* 12319 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12347 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12375 */ "SVGPathSegList" "\0"
  /* 12390 */ "SVGPathSegMovetoAbs" "\0"
  /* 12410 */ "SVGPathSegMovetoRel" "\0"
  /* 12430 */ "SVGPatternElement" "\0"
  /* 12448 */ "SVGPoint" "\0"
  /* 12457 */ "SVGPointList" "\0"
  /* 12470 */ "SVGPolygonElement" "\0"
  /* 12488 */ "SVGPolylineElement" "\0"
  /* 12507 */ "SVGPreserveAspectRatio" "\0"
  /* 12530 */ "SVGRadialGradientElement" "\0"
  /* 12555 */ "SVGRect" "\0"
  /* 12563 */ "SVGRectElement" "\0"
  /* 12578 */ "SVGSVGElement" "\0"
  /* 12592 */ "SVGScriptElement" "\0"
  /* 12609 */ "SVGSetElement" "\0"
  /* 12623 */ "SVGStopElement" "\0"
  /* 12638 */ "SVGStringList" "\0"
  /* 12652 */ "SVGStyleElement" "\0"
  /* 12668 */ "SVGSwitchElement" "\0"
  /* 12685 */ "SVGSymbolElement" "\0"
  /* 12702 */ "SVGTSpanElement" "\0"
  /* 12718 */ "SVGTextContentElement" "\0"
  /* 12740 */ "SVGTextElement" "\0"
  /* 12755 */ "SVGTextPathElement" "\0"
  /* 12774 */ "SVGTextPositioningElement" "\0"
  /* 12800 */ "SVGTitleElement" "\0"
  /* 12816 */ "SVGTransform" "\0"
  /* 12829 */ "SVGTransformList" "\0"
  /* 12846 */ "SVGUnitTypes" "\0"
  /* 12859 */ "SVGUseElement" "\0"
  /* 12873 */ "SVGViewElement" "\0"
  /* 12888 */ "Sanitizer" "\0"
  /* 12898 */ "Scheduler" "\0"
  /* 12908 */ "Screen" "\0"
  /* 12915 */ "ScreenLuminance" "\0"
  /* 12931 */ "ScreenOrientation" "\0"
  /* 12949 */ "ScriptProcessorNode" "\0"
  /* 12969 */ "ScrollAreaEvent" "\0"
  /* 12985 */ "ScrollViewChangeEvent" "\0"
  /* 13007 */ "SecurityPolicyViolationEvent" "\0"
  /* 13036 */ "Selection" "\0"
  /* 13046 */ "ServiceWorker" "\0"
  /* 13060 */ "ServiceWorkerContainer" "\0"
  /* 13083 */ "ServiceWorkerGlobalScope" "\0"
  /* 13108 */ "ServiceWorkerRegistration" "\0"
  /* 13134 */ "SessionStoreFormData" "\0"
  /* 13155 */ "SessionStoreScrollData" "\0"
  /* 13178 */ "SessionStoreUtils" "\0"
  /* 13196 */ "ShadowRoot" "\0"
  /* 13207 */ "SharedWorker" "\0"
  /* 13220 */ "SharedWorkerGlobalScope" "\0"
  /* 13244 */ "SimpleGestureEvent" "\0"
  /* 13263 */ "SourceBuffer" "\0"
  /* 13276 */ "SourceBufferList" "\0"
  /* 13293 */ "SpeechGrammar" "\0"
  /* 13307 */ "SpeechGrammarList" "\0"
  /* 13325 */ "SpeechRecognition" "\0"
  /* 13343 */ "SpeechRecognitionAlternative" "\0"
  /* 13372 */ "SpeechRecognitionError" "\0"
  /* 13395 */ "SpeechRecognitionEvent" "\0"
  /* 13418 */ "SpeechRecognitionResult" "\0"
  /* 13442 */ "SpeechRecognitionResultList" "\0"
  /* 13470 */ "SpeechSynthesis" "\0"
  /* 13486 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13512 */ "SpeechSynthesisEvent" "\0"
  /* 13533 */ "SpeechSynthesisUtterance" "\0"
  /* 13558 */ "SpeechSynthesisVoice" "\0"
  /* 13579 */ "StaticRange" "\0"
  /* 13591 */ "StereoPannerNode" "\0"
  /* 13608 */ "Storage" "\0"
  /* 13616 */ "StorageEvent" "\0"
  /* 13629 */ "StorageManager" "\0"
  /* 13644 */ "StreamFilter" "\0"
  /* 13657 */ "StreamFilterDataEvent" "\0"
  /* 13679 */ "StructuredCloneHolder" "\0"
  /* 13701 */ "StructuredCloneTester" "\0"
  /* 13723 */ "StyleSheet" "\0"
  /* 13734 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 13771 */ "StyleSheetList" "\0"
  /* 13786 */ "SubmitEvent" "\0"
  /* 13798 */ "SubtleCrypto" "\0"
  /* 13811 */ "SyncMessageSender" "\0"
  /* 13829 */ "SyncReadFile" "\0"
  /* 13842 */ "TCPServerSocket" "\0"
  /* 13858 */ "TCPServerSocketEvent" "\0"
  /* 13879 */ "TCPSocket" "\0"
  /* 13889 */ "TCPSocketErrorEvent" "\0"
  /* 13909 */ "TCPSocketEvent" "\0"
  /* 13924 */ "TaskController" "\0"
  /* 13939 */ "TaskPriorityChangeEvent" "\0"
  /* 13963 */ "TaskSignal" "\0"
  /* 13974 */ "TelemetryStopwatch" "\0"
  /* 13993 */ "TestUtils" "\0"
  /* 14003 */ "TestingDeprecatedInterface" "\0"
  /* 14030 */ "Text" "\0"
  /* 14035 */ "TextClause" "\0"
  /* 14046 */ "TextDecoder" "\0"
  /* 14058 */ "TextEncoder" "\0"
  /* 14070 */ "TextMetrics" "\0"
  /* 14082 */ "TextTrack" "\0"
  /* 14092 */ "TextTrackCue" "\0"
  /* 14105 */ "TextTrackCueList" "\0"
  /* 14122 */ "TextTrackList" "\0"
  /* 14136 */ "TimeEvent" "\0"
  /* 14146 */ "TimeRanges" "\0"
  /* 14157 */ "Touch" "\0"
  /* 14163 */ "TouchEvent" "\0"
  /* 14174 */ "TouchList" "\0"
  /* 14184 */ "TrackEvent" "\0"
  /* 14195 */ "TransformStream" "\0"
  /* 14211 */ "TransformStreamDefaultController" "\0"
  /* 14244 */ "TransitionEvent" "\0"
  /* 14260 */ "TreeColumn" "\0"
  /* 14271 */ "TreeColumns" "\0"
  /* 14283 */ "TreeContentView" "\0"
  /* 14299 */ "TreeWalker" "\0"
  /* 14310 */ "U2F" "\0"
  /* 14314 */ "UDPMessageEvent" "\0"
  /* 14330 */ "UDPSocket" "\0"
  /* 14340 */ "UIEvent" "\0"
  /* 14348 */ "URL" "\0"
  /* 14352 */ "URLSearchParams" "\0"
  /* 14368 */ "URLSearchParams Iterator" "\0"
  /* 14393 */ "UserInteraction" "\0"
  /* 14409 */ "UserProximityEvent" "\0"
  /* 14428 */ "VRDisplay" "\0"
  /* 14438 */ "VRDisplayCapabilities" "\0"
  /* 14460 */ "VRDisplayEvent" "\0"
  /* 14475 */ "VREyeParameters" "\0"
  /* 14491 */ "VRFieldOfView" "\0"
  /* 14505 */ "VRFrameData" "\0"
  /* 14517 */ "VRMockController" "\0"
  /* 14534 */ "VRMockDisplay" "\0"
  /* 14548 */ "VRPose" "\0"
  /* 14555 */ "VRServiceTest" "\0"
  /* 14569 */ "VRStageParameters" "\0"
  /* 14587 */ "VTTCue" "\0"
  /* 14594 */ "VTTRegion" "\0"
  /* 14604 */ "ValidityState" "\0"
  /* 14618 */ "VideoPlaybackQuality" "\0"
  /* 14639 */ "VideoTrack" "\0"
  /* 14650 */ "VideoTrackList" "\0"
  /* 14665 */ "VisualViewport" "\0"
  /* 14680 */ "WEBGL_color_buffer_float" "\0"
  /* 14705 */ "WEBGL_compressed_texture_astc" "\0"
  /* 14735 */ "WEBGL_compressed_texture_etc" "\0"
  /* 14764 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 14794 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 14825 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 14855 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 14890 */ "WEBGL_debug_renderer_info" "\0"
  /* 14916 */ "WEBGL_debug_shaders" "\0"
  /* 14936 */ "WEBGL_depth_texture" "\0"
  /* 14956 */ "WEBGL_draw_buffers" "\0"
  /* 14975 */ "WEBGL_explicit_present" "\0"
  /* 14998 */ "WEBGL_lose_context" "\0"
  /* 15017 */ "WaveShaperNode" "\0"
  /* 15032 */ "WebExtensionContentScript" "\0"
  /* 15058 */ "WebExtensionPolicy" "\0"
  /* 15077 */ "WebGL2RenderingContext" "\0"
  /* 15100 */ "WebGLActiveInfo" "\0"
  /* 15116 */ "WebGLBuffer" "\0"
  /* 15128 */ "WebGLContextEvent" "\0"
  /* 15146 */ "WebGLFramebuffer" "\0"
  /* 15163 */ "WebGLProgram" "\0"
  /* 15176 */ "WebGLQuery" "\0"
  /* 15187 */ "WebGLRenderbuffer" "\0"
  /* 15205 */ "WebGLRenderingContext" "\0"
  /* 15227 */ "WebGLSampler" "\0"
  /* 15240 */ "WebGLShader" "\0"
  /* 15252 */ "WebGLShaderPrecisionFormat" "\0"
  /* 15279 */ "WebGLSync" "\0"
  /* 15289 */ "WebGLTexture" "\0"
  /* 15302 */ "WebGLTransformFeedback" "\0"
  /* 15325 */ "WebGLUniformLocation" "\0"
  /* 15346 */ "WebGLVertexArrayObject" "\0"
  /* 15369 */ "WebKitCSSMatrix" "\0"
  /* 15385 */ "WebSocket" "\0"
  /* 15395 */ "WebrtcGlobalInformation" "\0"
  /* 15419 */ "WheelEvent" "\0"
  /* 15430 */ "Window" "\0"
  /* 15437 */ "WindowClient" "\0"
  /* 15450 */ "WindowContext" "\0"
  /* 15464 */ "WindowGlobalChild" "\0"
  /* 15482 */ "WindowGlobalParent" "\0"
  /* 15501 */ "WindowRoot" "\0"
  /* 15512 */ "Worker" "\0"
  /* 15519 */ "WorkerDebuggerGlobalScope" "\0"
  /* 15545 */ "WorkerGlobalScope" "\0"
  /* 15563 */ "WorkerLocation" "\0"
  /* 15578 */ "WorkerNavigator" "\0"
  /* 15594 */ "WorkerTestUtils" "\0"
  /* 15610 */ "Worklet" "\0"
  /* 15618 */ "WorkletGlobalScope" "\0"
  /* 15637 */ "WritableStream" "\0"
  /* 15652 */ "WritableStreamDefaultController" "\0"
  /* 15684 */ "WritableStreamDefaultWriter" "\0"
  /* 15712 */ "XMLDocument" "\0"
  /* 15724 */ "XMLHttpRequest" "\0"
  /* 15739 */ "XMLHttpRequestEventTarget" "\0"
  /* 15765 */ "XMLHttpRequestUpload" "\0"
  /* 15786 */ "XMLSerializer" "\0"
  /* 15800 */ "XPathEvaluator" "\0"
  /* 15815 */ "XPathExpression" "\0"
  /* 15831 */ "XPathResult" "\0"
  /* 15843 */ "XRBoundedReferenceSpace" "\0"
  /* 15867 */ "XRFrame" "\0"
  /* 15875 */ "XRInputSource" "\0"
  /* 15889 */ "XRInputSourceArray" "\0"
  /* 15908 */ "XRInputSourceEvent" "\0"
  /* 15927 */ "XRInputSourcesChangeEvent" "\0"
  /* 15953 */ "XRPose" "\0"
  /* 15960 */ "XRReferenceSpace" "\0"
  /* 15977 */ "XRReferenceSpaceEvent" "\0"
  /* 15999 */ "XRRenderState" "\0"
  /* 16013 */ "XRRigidTransform" "\0"
  /* 16030 */ "XRSession" "\0"
  /* 16040 */ "XRSessionEvent" "\0"
  /* 16055 */ "XRSpace" "\0"
  /* 16063 */ "XRSystem" "\0"
  /* 16072 */ "XRView" "\0"
  /* 16079 */ "XRViewerPose" "\0"
  /* 16092 */ "XRViewport" "\0"
  /* 16103 */ "XRWebGLLayer" "\0"
  /* 16116 */ "XSLTProcessor" "\0"
  /* 16130 */ "XULCommandEvent" "\0"
  /* 16146 */ "XULElement" "\0"
  /* 16157 */ "XULFrameElement" "\0"
  /* 16173 */ "XULMenuElement" "\0"
  /* 16188 */ "XULPopupElement" "\0"
  /* 16204 */ "XULTextElement" "\0"
  /* 16219 */ "XULTreeElement" "\0"
  /* 16234 */ "console" "\0"
  /* 16242 */ "mozRTCIceCandidate" "\0"
  /* 16261 */ "mozRTCPeerConnection" "\0"
  /* 16282 */ "mozRTCSessionDescription" "\0"
  /* 16307 */ "webkitSpeechGrammar" "\0"
  /* 16327 */ "webkitSpeechGrammarList" "\0"
  /* 16351 */ "webkitSpeechRecognition" "\0"
  /* 16375 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

