//
// Automatically generated by ipdlc.
// Edit at your own risk
//

#ifndef PMediaTransportChild_h
#define PMediaTransportChild_h

#include "mozilla/dom/PMediaTransport.h"
#ifdef DEBUG
#include "prenv.h"
#endif  // DEBUG

#include "mozilla/Tainting.h"
#include "mozilla/ipc/MessageChannel.h"
#include "mozilla/ipc/ProtocolUtils.h"
// Headers for things that cannot be forward declared
#include "mozilla/dom/RTCConfigurationBinding.h"
#include "mozilla/dom/ipc/IdType.h"
#include "mozilla/media/webrtc/WebrtcGlobal.h"
#include "mozilla/media/webrtc/WebrtcIPCTraits.h"
#include "mozilla/net/PStunAddrsParams.h"
#include "string"
#include "transport/mediapacket.h"

namespace mozilla {
namespace ipc {
class PBackgroundChild;
} // namespace ipc
} // namespace mozilla
namespace mozilla {
namespace ipc {
class PBackgroundParent;
} // namespace ipc
} // namespace mozilla

namespace mozilla {
namespace ipc {
class PBackgroundChild;
} // namespace ipc
} // namespace mozilla

namespace mozilla {
namespace dom {
struct NotReallyMovableButLetsPretendItIsRTCStatsCollection;
} // namespace dom
} // namespace mozilla

namespace mozilla {
namespace dom {


class PMediaTransportChild :
    public mozilla::ipc::IProtocol
{
private:
    friend class mozilla::ipc::PBackgroundChild;
protected:
    typedef mozilla::ipc::ActorHandle ActorHandle;
    typedef mozilla::ipc::ByteBuf ByteBuf;
    template<class FooSide> using Endpoint = mozilla::ipc::Endpoint<FooSide>;
    typedef mozilla::ipc::FileDescriptor FileDescriptor;
    template<class FooSide> using ManagedEndpoint = mozilla::ipc::ManagedEndpoint<FooSide>;
    typedef mozilla::dom::NotReallyMovableButLetsPretendItIsRTCStatsCollection NotReallyMovableButLetsPretendItIsRTCStatsCollection;
    typedef net::NrIceStunAddrArray NrIceStunAddrArray;
    typedef mozilla::ipc::PBackgroundChild PBackgroundChild;
    typedef mozilla::ipc::PBackgroundParent PBackgroundParent;
    typedef base::ProcessId ProcessId;
    typedef mozilla::ipc::ProtocolId ProtocolId;
    typedef mozilla::dom::RTCIceServer RTCIceServer;
    typedef mozilla::dom::RTCIceTransportPolicy RTCIceTransportPolicy;
    typedef mozilla::ipc::ResponseRejectReason ResponseRejectReason;
    typedef mozilla::ipc::Shmem Shmem;
    typedef mozilla::dom::TabId TabId;
    template<class T> using UniquePtr = mozilla::UniquePtr<T>;
    typedef mozilla::net::WebrtcProxyConfig WebrtcProxyConfig;
    typedef std::string string;

public:
    typedef MozPromise<WebrtcGlobalLog, ResponseRejectReason, true> GetIceLogPromise;
    typedef MozPromise<NotReallyMovableButLetsPretendItIsRTCStatsCollection, ResponseRejectReason, true> GetIceStatsPromise;

protected:
public:
    typedef mozilla::ipc::IProtocol IProtocol;
    typedef IPC::Message Message;
    typedef base::ProcessHandle ProcessHandle;
    typedef mozilla::ipc::MessageChannel MessageChannel;
    typedef mozilla::ipc::SharedMemory SharedMemory;

public:
    MOZ_IMPLICIT PMediaTransportChild();

    virtual ~PMediaTransportChild();

public:
    ::base::ProcessId
    OtherPid() const;

    PBackgroundChild*
    Manager() const;

    void
    AllManagedActors(nsTArray<RefPtr<mozilla::ipc::ActorLifecycleProxy>>& arr__) const override;

    static bool
    Send__delete__(PMediaTransportChild* actor);

    void
    SendGetIceLog(
            const nsCString& pattern,
            mozilla::ipc::ResolveCallback<WebrtcGlobalLog>&& aResolve,
            mozilla::ipc::RejectCallback&& aReject);

    RefPtr<GetIceLogPromise>
    SendGetIceLog(const nsCString& pattern);

    bool
    SendClearIceLog();

    bool
    SendEnterPrivateMode();

    bool
    SendExitPrivateMode();

    bool
    SendCreateIceCtx(const string& name);

    bool
    SendSetIceConfig(
            const nsTArray<RTCIceServer>& iceServers,
            const RTCIceTransportPolicy& icePolicy);

    bool
    SendSetProxyConfig(const WebrtcProxyConfig& proxyConfig);

    bool
    SendEnsureProvisionalTransport(
            const string& transportId,
            const string& localUfrag,
            const string& localPwd,
            const int& componentCount);

    bool
    SendSetTargetForDefaultLocalAddressLookup(
            const string& targetIp,
            const uint16_t& targetPort);

    bool
    SendStartIceGathering(
            const bool& defaultRouteOnly,
            const bool& obfuscateHostAddresses,
            const NrIceStunAddrArray& stunAddrs);

    bool
    SendActivateTransport(
            const string& transportId,
            const string& localUfrag,
            const string& localPwd,
            const int& componentCount,
            const string& remoteUfrag,
            const string& remotePwd,
            const nsTArray<uint8_t>& keyDer,
            const nsTArray<uint8_t>& certDer,
            const int& authType,
            const bool& dtlsClient,
            const DtlsDigestList& digests,
            const bool& privacyRequested);

    bool
    SendRemoveTransportsExcept(const StringVector& transportIds);

    bool
    SendStartIceChecks(
            const bool& isControlling,
            const StringVector& iceOptions);

    bool
    SendSendPacket(
            const string& transportId,
            const MediaPacket& packet);

    bool
    SendAddIceCandidate(
            const string& transportId,
            const string& candidate,
            const string& ufrag,
            const string& obfuscatedAddr);

    bool
    SendUpdateNetworkState(const bool& online);

    void
    SendGetIceStats(
            const string& transportId,
            const double& now,
            mozilla::ipc::ResolveCallback<NotReallyMovableButLetsPretendItIsRTCStatsCollection>&& aResolve,
            mozilla::ipc::RejectCallback&& aReject);

    RefPtr<GetIceStatsPromise>
    SendGetIceStats(
            const string& transportId,
            const double& now);

    void
    RemoveManagee(
            int32_t aProtocolId,
            IProtocol* aListener) override;
    void
    DeallocManagee(
            int32_t aProtocolId,
            IProtocol* aListener) override;

    Result
    OnMessageReceived(const Message& msg__) override;

    Result
    OnMessageReceived(
            const Message& msg__,
            UniquePtr<Message>& reply__) override;

    Result
    OnCallReceived(
            const Message& msg__,
            UniquePtr<Message>& reply__) override;

private:
    void
    ClearSubtree();

    bool mAwaitingManagedEndpointBind = false;

};


} // namespace dom
} // namespace mozilla
namespace IPC {
template<>
struct ParamTraits <mozilla::dom::PMediaTransportChild*>
{
    typedef mozilla::dom::PMediaTransportChild* paramType;
    static void
    Write(
            IPC::MessageWriter* aWriter,
            const paramType& aVar);
    static bool
    Read(
            IPC::MessageReader* aReader,
            paramType* aVar);
};
} // namespace IPC

#endif // ifndef PMediaTransportChild_h
